Summary:	LaTeX editor
Name:		texmaker
Version:	3.2.2
Release:	1%{?dist}
Epoch:		2
License:	GPLv2+
Group:		Applications/Publishing
URL:		http://www.xm1math.net/texmaker/
Source:		http://www.xm1math.net/texmaker/texmaker-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	qt4-devel qt4-webkit-devel hunspell-devel poppler-qt4-devel
BuildRequires:	desktop-file-utils
Requires:	tetex-latex tetex-dvipost tetex-xdvi
# Patch to use default Fedora's document viewer and system's hunspell
Patch0:		%{name}-tools.patch

%description
Texmaker is a program, that integrates many tools needed to develop 
documents with LaTeX, in just one application. 
Texmaker runs on unix, macosx and windows systems and is released under the GPL
license

%prep
%setup -q
%patch0 -p0 -b .tools
 
%build
export QTDIR=%{_libdir}/qt4
qmake-qt4 -unix texmaker.pro

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make INSTALL_ROOT=%{buildroot} install

install -Dp -m 0644 utilities/texmaker16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker22x22.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker32x32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker48x48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/texmaker.png

# Don't package these twice
rm -rf %{buildroot}%{_datadir}/%{name}/{AUTHORS,COPYING,*.desktop,tex*.png}
rm -f %{buildroot}%{_datadir}/applications/texmaker.desktop

desktop-file-install --vendor fedora			\
	--dir %{buildroot}%{_datadir}/applications	\
	--remove-category Publishing			\
	--remove-category X-SuSE-Core-Office		\
	--remove-category X-Mandriva-Office-Publishing	\
	--remove-category X-Misc			\
	utilities/texmaker.desktop

%clean
rm -rf %buildroot

%post
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :

%postun
update-desktop-database &> /dev/null ||:

if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-, root, root, -)
%doc utilities/AUTHORS utilities/COPYING
%{_bindir}/texmaker
%{_datadir}/texmaker/
%{_datadir}/applications/fedora-texmaker.desktop
%{_datadir}/icons/hicolor/*/apps/texmaker.png
%{_datadir}/pixmaps/texmaker.png

%changelog
* Thu Mar 14 2013 Nick Bryda <nick@fuduntu.org> - 3.2.2-2
- Rebuild for hunspell

* Mon Feb 04 2013 Andrew Wyatt <andrew@fuduntu.org> - Version:3.2.2-Release:1
- Built for Fuduntu

* Fri Jan 27 2012 Deji Akingunola <dakingun@gmail.com> - 3.2.2-1
- Update to 3.2.2

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Sep 19 2011 Marek Kasik <mkasik@redhat.com> - 3.1-2
- Rebuild (poppler-0.17.3)

* Sat Aug 27 2011 Deji Akingunola <dakingun@gmail.com> - 3.1-1
- Update to 3.1

* Thu Apr 28 2011 Deji Akingunola <dakingun@gmail.com> - 3.0.2-1
- Update to 3.0.2

* Tue Mar 29 2011 Deji Akingunola <dakingun@gmail.com> - 2.3-1
- Update to 2.3

* Sun Mar 13 2011 Marek Kasik <mkasik@redhat.com> - 1:2.1-5
- Rebuild (poppler-0.16.3)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 01 2011 Rex Dieter <rdieter@fedoraproject.org> - 1:2.1-3
- rebuild (poppler)

* Wed Dec 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 1:2.1-2
- rebuild (poppler)

* Sun Nov 07 2010 Deji Akingunola <dakingun@gmail.com> - 2.1-1
- Update to 2.1

* Sat Nov 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 1:2.0-4
- rebuilt (poppler)

* Thu Sep 28 2010 Deji Akingunola <dakingun@gmail.com> - 1:2.0-3
- Rebuild for poppler-0.15.

* Fri Aug 20 2010 Rex Dieter <rdieter@fedoraproject.org> - 1:2.0-2
- rebuild (poppler)

* Fri Aug 06 2010 Deji Akingunola <dakingun@gmail.com> - 2.0-1
- Update to 2.0

* Wed Feb 03 2010 Deji Akingunola <dakingun@gmail.com> - 1.9.9-1
- Update to 1.9.9

* Wed Nov 25 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.9.2-4
- Rebuild for Qt 4.6.0 RC1 in F13 (was built against Beta 1 with unstable ABI)

* Mon Nov 02 2009 Deji Akingunola <dakingun@gmail.com> - 1.9.2-3
- Update with a more complete patch to use system hunspell (Caolan McNamara)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Deji Akingunola <dakingun@gmail.com> - 1.9.2-1
- New Release

* Wed May 27 2009 Deji Akingunola <dakingun@gmail.com> - 1.9.1-1
- New Release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 20 2008 Deji Akingunola <dakingun@gmail.com> - 1.8-1
- New Release

* Wed Jun 04 2008 Deji Akingunola <dakingun@gmail.com> - 1.7.1-1
- A bug-fix release

* Mon Apr 28 2008 Deji Akingunola <dakingun@gmail.com> - 1.7-1
- New Release

* Sun Feb 10 2008 Deji Akingunola <dakingun@gmail.com> - 1.6-4
- Rebuild for gcc43

* Sat Aug 18 2007 Deji Akingunola <dakingun@gmail.com> - 1:1.6-3
- Use xdg-open instead of hardcording apps (bz#245269)

* Mon Aug 06 2007 Deji Akingunola <dakingun@gmail.com> - 1:1.6-3
- License tag update

* Thu Jun 21 2007 Deji Akingunola <dakingun@gmail.com> - 1:1.6-2%{?dist}
- Change default dvi viewer back to xdvi, and require tetex-xdvi for it

* Thu Jun 21 2007 Deji Akingunola <dakingun@gmail.com> - 1:1.6-1%{?dist}
- New Release

* Fri Jun 15 2007 Deji Akingunola <dakingun@gmail.com> - 1.5-2
- Fix for crash on x86_64 by Kevin Kofler (BZ #235546)

* Tue Jan 02 2007 Deji Akingunola <dakingun@gmail.com> - 1.5-1
- New release

* Tue Aug 29 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-1
- Update to 1.4
- Add patch by Rex Dieter to enable build with qt4-4.2

* Thu May 25 2006 Deji Akingunola <dakingun@gmail.com> - 1.3-1
- Updated to 1.3 - had to add epoch to facilitate an upgrade
- New version depends on qt4
- Explicitly add tetex-dvips Requires

* Mon Feb 13 2006 Deji Akingunola <dakingun@gmail.com> - 1.12-4
- Rebuild for Fedora Extras 5

* Fri Oct 28 2005 Deji Akingunola <dakingun@gmail.com> - 1.12-3 
- Buildrequires qt-devel instead of kdelibs-devel
- Fix typos in desktop file patch
- Use use the '-p' option in the install command (Rex Dieter)

* Thu Oct 27 2005 Deji Akingunola <dakingun@gmail.com> - 1.12-2 
- Miscellaneous fixes to the spec files from Fedora Extras review,
  RH bugzilla #171195 (Aurelien Bompard)

* Sat Apr 30 2005 Deji Akingunola <dakingun@gmail.com> - 1.12-1 
- Initial release for Extras
